[ GLSA 201101-04 ] aria2: Directory traversal



- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201101-04
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: aria2: Directory traversal
Date: January 15, 2011
Bugs: #320975
ID: 201101-04

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A directory traversal vulnerability has been found in aria2.

Background
==========

aria2 is a download utility with resuming and segmented downloading
with HTTP/HTTPS/FTP/BitTorrent support.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 net-misc/aria2 < 1.9.3 >= 1.9.3

Description
===========

A directory traversal vulnerability was discovered in aria2.

Impact
======

A remote attacker could entice a user to download from a specially
crafted metalink file, resulting in the creation of arbitrary files.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All aria2 users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-misc/aria2-1.9.3"

References
==========

[ 1 ] CVE-2010-1512
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1512

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-201101-04.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@xxxxxxxxxx or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2011 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5

Attachment: signature.asc
Description: OpenPGP digital signature



Relevant Pages

  • [Full-disclosure] [ GLSA 201101-04 ] aria2: Directory traversal
    ... A directory traversal vulnerability has been found in aria2. ... A remote attacker could entice a user to download from a specially ... Security is a primary focus of Gentoo Linux and ensuring the ...
    (Full-Disclosure)
  • [opensuse] Using aria2
    ... I'm trying to use aria2 with no success: ... The download was not complete because of errors. ... aria2 will resume download if the transfer is restarted. ... The above commands are from en.opensuse.org/Metalinks. ...
    (SuSE)
  • [Full-disclosure] [ GLSA 201001-06 ] aria2: Multiple vulnerabilities
    ... A buffer overflow and a format string vulnerability in aria2 allow ... remote attackers to execute arbitrary code. ... Security is a primary focus of Gentoo Linux and ensuring the ...
    (Full-Disclosure)
  • [ GLSA 201001-06 ] aria2: Multiple vulnerabilities
    ... A buffer overflow and a format string vulnerability in aria2 allow ... remote attackers to execute arbitrary code. ... Security is a primary focus of Gentoo Linux and ensuring the ...
    (Bugtraq)